> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/devices/{deviceId}/policy/applications

> Get a list of builtin DPI applications able to be configured on a given device based on GNOS version

## OpenAPI

````json GET /v1/devices/{deviceId}/policy/applications
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/devices/{deviceId}/policy/applications": {
      "get": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          },
          {
            "name": "deviceId",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1DevicesDeviceIdPolicyApplicationsGetResponse"
                }
              }
            }
          }
        },
        "description": "Get a list of builtin DPI applications able to be configured on a given device based on GNOS version"
      }
    }
  },
  "components": {
    "schemas": {
      "v1DevicesDeviceIdPolicyApplicationsGetResponse": {
        "type": "object",
        "properties": {
          "applications": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/v1DevicesDeviceIdPolicyApplicationsGetResponseApplication"
            }
          },
          "pageInfo": {
            "$ref": "#/components/schemas/commonPageInfo"
          }
        },
        "additionalProperties": false
      },
      "v1DevicesDeviceIdPolicyApplicationsGetResponseApplication": {
        "type": "object",
        "properties": {
          "appId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "description": {
            "type": "string",
            "example": "example string"
          },
          "kind": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "name": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "commonPageInfo": {
        "type": "object",
        "properties": {
          "currentPage": {
            "type": "integer",
            "format": "int32",
            "example": 1,
            "minimum": 0,
            "description": "The page number we are currently on (required)"
          },
          "endCursor": {
            "type": "string",
            "example": "xxxxxxy",
            "description": "Cursor pointing to the last record on the current page"
          },
          "hasNextPage": {
            "type": "boolean",
            "example": true,
            "description": "An indicator whether there is a page after this one in the resultset based on current position"
          },
          "hasPrevPage": {
            "type": "boolean",
            "example": true,
            "description": "An indicator whether there is a page before this one in the resultset based on current position"
          },
          "startCursor": {
            "type": "string",
            "example": "xxxxxx",
            "description": "Cursor pointing to the first record on the current page"
          },
          "totalPages": {
            "type": "integer",
            "format": "int32",
            "example": 4,
            "minimum": 0,
            "description": "The number of pages in the complete resultset based on the current length of the page (required)"
          },
          "totalRecords": {
            "type": "integer",
            "format": "int32",
            "example": 400,
            "minimum": 0,
            "description": "Describes the total number of records in the complete resultset (required)"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

